Internal site. Jolli authentication required to view.
Skip to Content
API ReferencePipeline LifecycleGET /v0/pipelines/{pipeline_name}/checkpoint_status

Get Checkpoint Status

GET/v0/pipelines/{pipeline_name}/checkpoint_statusPipeline Lifecycle

Try it

GET/v0/pipelines/{pipeline_name}/checkpoint_status
Authentication
Parameters

Retrieve status of checkpoint activity in a pipeline.

Authentication

  • JSON web token (JWT) or API keyBearer token

Parameters

Path parameters

NameTypeRequiredDescription
pipeline_namestringYesUnique pipeline name

Response

200Checkpoint status retrieved successfullyapplication/json
  • object
    Checkpoint status returned by the `/checkpoint_status` endpoint.
    • failureobject
    • successinteger (int64)
      Most recently successful checkpoint.
404Pipeline with that name does not existapplication/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
500application/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
503application/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
Request
curl -X GET 'https://api.example.com/v0/pipelines/{pipeline_name}/checkpoint_status' \ -H 'Authorization: Bearer YOUR_TOKEN'
Response
{ "message": "Unknown pipeline name 'non-existent-pipeline'", "error_code": "UnknownPipelineName", "details": { "pipeline_name": "non-existent-pipeline" } }